/***************************************************************************
                          qcentralwidget.cpp  -  description
                             -------------------
    begin                : Sun Apr 14 2002
    copyright            : (C) 2002 by Vadim A. Khohlov
    email                : xvadim@teko.kherson.ua
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qapp.h>
#include <qpixmap.h>
#include <qevent.h>
#include <qmainwindow.h>
#include <qstatusbar.h>

#include "qcentralwidget.h"
#include "icecc.h"
#include "tools.h"
#include "iceccimg.xpm"


QCentralWidget::QCentralWidget(QWidget *parent, const char *name ):
QWidget(parent,name)
{
    QPixmap bgPixmap(iceccimg_xpm);
    setBackgroundPixmap(bgPixmap);
    setMinimumSize(bgPixmap.size());
    setMaximumSize(bgPixmap.size());

    setMouseTracking(true);

    for(int i = 0; i < COUNTTOOLS; i++)
        toolRect[i].setCoords(rectCoords[i][0], rectCoords[i][1],
                              rectCoords[i][2], rectCoords[i][3]);
    prevToolHighlighted = 10;
}//constructor

QCentralWidget::~QCentralWidget()
{
}//destructor

/** No descriptions */
void QCentralWidget::mouseReleaseEvent (QMouseEvent *mouseEvent)
{
    for(int i = 0; i < COUNTTOOLS; i++)
        if(toolRect[i].contains(mouseEvent->pos()))
        {
            ((IceCCApp*)parentWidget())->runTool(i);
            break;
        }/* if(toolRect[i].contains(mouseEvent->pos())) */
}/* IceCCApp::mousePressEvent ( QMouseEvent * ) */

/** No descriptions */
void QCentralWidget::mouseMoveEvent( QMouseEvent *mouseEvent)
{
    for(int i = 0; i < COUNTTOOLS; i++)
        if(toolRect[i].contains(mouseEvent->pos()))
        {
            if(i != prevToolHighlighted)
            {
                prevToolHighlighted = i;
                ((QMainWindow*)parentWidget())->statusBar()->message(toolNames[i]);
            }/* if(i != prevToolHighlighted) */
            break;
        }/* if(toolRect[i].contains(mouseEvent->pos())) */
}/* QCentralWidget::mouseMoveEvent ( QMouseEvent * ) */
